pci_bus_add_devices
Prev | PCI Support Library | Next

## Name

pci_bus_add_devices — insert newly discovered PCI devices

## Synopsis

`void pci_bus_add_devices (` | struct pci_bus * | bus`)`;

## Arguments

`bus`

  bus to check for new devices

## Description

Add newly discovered PCI devices (which are on the bus->devices list) to the global PCI device list, add the sysfs and procfs entries. Where a bridge is found, add the discovered bus to the parents list of child buses, and recurse (breadth-first to be compatible with 2.4)

Call hotplug for each new devices.

Prev | Up | Next
pci_bus_add_device | Home | pci_scan_slot